﻿using GrapeCity.Forguncy.ServerApi;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.IO;
using Microsoft.AspNetCore.Http;
using System.Threading.Tasks;

namespace Demo
{
    public class ModifyTablesDataDemo: ForguncyApi
    {
        [Post]
        public async Task ModifyTablesData()
        {
            StreamReader reader = new StreamReader(this.Context.Request.Body);
            string message = await reader.ReadToEndAsync();
            var infoList = JsonConvert.DeserializeObject<Dictionary<string, ModifyData>>(message);
            DataAccess.ModifyTablesData(infoList);
        }

        [Get]
        public void TestAPI()
        {
            this.Context.Response.ContentType = "text/html";
            this.Context.Response.WriteAsync("Hello World!").Wait();
        }
    }
}
